'''Exceptions used by the ZooomrAPI module.'''

class IllegalArgumentException(ValueError):
    '''Raised when a method is passed an illegal argument.
    
    More specific details will be included in the exception message
    when thrown.
    '''

class ZooomrError(Exception):
    '''Raised when a Zooomr method fails.
    
    More specific details will be included in the exception message
    when thrown.
    '''
